python培训之raise语句重新抛出异常

发布时间:2023-03-14 09:29:04 人气:21 作者:多测师

  python raise语句重新抛出异常

  说明

  1、raise的参数是异常的,可以是异常的例子或者异常的类。

  2、这一异常类必须是Exception的子类。可以在except语句中使用raise,重新抛出异常。

  若传递的是异常类,则将调用无参构造函数进行隐式实例:

  假如我们捕捉到了一些异常,但又不想处理,那么可以在except语句中使用raise,重新抛出异常。

python培训之raise语句重新抛出异常

  实例

  >>> try:

  ... raise NameError('HiThere')

  ... except NameError:

  ... print('An exception flew by!')

  ... raise

  ...

  An exception flew by!

  Traceback (most recent call last):

  File "", line 2, in

  NameError: HiThere

  以上就是python raise语句重新抛出异常的方法,希望对大家有所帮助。更多Python学习指路:请关注多测师。https://www.e70w.com/xwzx/


返回列表
在线客服
联系方式

热线电话

17727591462

上班时间

周一到周五

二维码
线